#!/bin/bash
+# Don't do releases in the wee hours :-)
+h=$(date '+%H')
+(( "$h" < 10 && "$h" > 4 )) && {
+ echo "Go back to bed" 1>&2
+ exit 1
+}
+
mkdir Next
echo 'Trees included into this release:
cp ../quilt-import.log ../merge.log Next/.
-d=$(date '+%Y%m%d')
+# This means I get the right tag if I finish after midnight
+d=$(date --date "5 hours ago" '+%Y%m%d')
printf "%s-next-%s\n" "" $d >localversion-next
git add Next localversion-next
-git commit -s -v -a -m "Add linux-next specific files"
+git commit -s -v -a -m "Add linux-next specific files for $d"
git tag "next-$d"
git update-ref refs/heads/stable refs/remotes/origin/master